Subject: bug#24566: closed (Re: bug#35882: `emacsclient -t' breaks a terminal when try to open not a readable file)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Jun 2019 02:40:03 +0000

Your bug report

#35882: 25.2.50; emacsclient -nw /etc/shadow hangs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35882: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35882
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35882: `emacsclient -t' breaks a terminal when try to open not a readable file
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 19 Jun 2019 05:39:43 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 18 Jun 2019 19:53:59 +0000
> From: [email-masked]
> 
> > I believe this problem is already indirectly solved on the master
> > branch, since we now visit the file before creating the frame. What I
> > see here with the master branch code is an error message saying
> > "*ERROR*: File is not readable: FILE", and the client exits without
> > leaving the terminal in a messed-up state.
> > 
> > Would it be possible for you to try the master branch and see if it
> > indeed solves the problem?
> > 
> > Thanks.
> 
> 
> I tried master branch. Problem solved.

Thanks, closing.

Subject: 25.2.50; emacsclient -nw /etc/shadow hangs
From: Han Boetes <[email-masked]>
To: [email-masked]
Date: Thu, 29 Sep 2016 14:42:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

pkill emacs
emacs -nw -Q ;; and then "m-x server-start"

In another therminal: emacsclient -nw /etc/shadow

What I would expect to see is an error that explains /etc/shadow is not
readable. But instead emacsclient hangs.

In GNU Emacs 25.2.50.1 (x86_64-unknown-openbsd6.0, GTK+ Version 3.20.6)
 of 2016-09-27 built on difool
Repository revision: 739c538cf818c3884c07b6a9c7e8a5abe279cb1d
Recent messages:
Mark set [2 times]
Auto-saving...done
Mark set
Quit [2 times]
Saving file /mega/home/han/Mail/drafts/*message*-20160929-143105...
Mark set
Replaced 4 occurrences
Wrote /mega/home/han/Mail/drafts/*message*-20160929-143105
Back to top level
When done with this frame, type C-x 5 0

Configured using:
 'configure --with-x --with-x-toolkit=gtk --prefix=/usr/local
 --mandir=/usr/local/man --infodir=/usr/local/info
 CC=/usr/local/bin/egcc'

Configured features:
XPM JPEG TIFF GIF PNG RSVG DBUS GSETTINGS NOTIFY GNUTLS LIBXML2 FREETYPE
XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  global-edit-server-edit-mode: t
  icomplete-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/usr/local/share/emacs/25.2.50/lisp/tempo hides ~/.emacs.d/lisp/tempo
/usr/local/share/emacs/25.2.50/lisp/obsolete/longlines hides ~/.emacs.d/lisp/longlines
/usr/local/share/emacs/25.2.50/lisp/textmodes/css-mode hides ~/.emacs.d/lisp/css-mode
/mega/home/han/.emacs.d/elpa/crontab-mode-20090510.1355/crontab-mode hides ~/.emacs.d/lisp/crontab-mode

Features:
(nuke-whitespace debug pp shadow sort mail-extr emacsbug message subr-x
puny dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived epg
gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils apropos misearch multi-isearch
perl-mode term/screen term/xterm xterm server tango-dark-theme pager
auto-recomp cl session generic-x edit-server easy-mmode edmacro kmacro
icomplete finder-inf info tex-site package epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cl-extra
help-mode easymenu cconv cl-loaddefs pcase cl-lib time-date paren
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese charscript case-table epa-hook jka-cmpr-hook help simple abbrev
obarray minibuffer cl-preloaded nadvice loaddefs button faces cus-face
macroexp files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
dbusbind kqueue dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 137397 16077)
 (symbols 48 23662 0)
 (miscs 40 99 289)
 (strings 32 27728 4574)
 (string-bytes 1 889343)
 (vectors 16 15976)
 (vector-slots 8 461603 4461)
 (floats 8 248 199)
 (intervals 56 954 8)
 (buffers 976 19))

-- 

# Han
-- 
I dreamt I was running through cyberspace and had a feeling of
clear purpose and knew exactly what I was doing.  And then I broke
through a brick wall and got into the real world and felt slowly
drudging thought spacetime while having no clue.